Subject: Re: bug#21965: 24.5; Emacs freezes when canceling at open file

From: Maneesh Yadav <[email-masked]>
Date: Sat, 21 Nov 2015 21:15:02 -0800

The trace is what what I saw after I sent pkill -USR2 emacs, I don't
know quite know how to read it (other than the vague references to
mutexs...no idea if that is actually relevant).  Still trying to
figure out how to get macports to compile debug emacs...hopefully will
figure it out this w/e.

On Sat, Nov 21, 2015 at 9:11 PM, John Wiegley <[email-masked]> wrote:
>>>>>> Eli Zaretskii <[email-masked]> writes:
>
>>> 7   libglib-2.0.0.dylib                 0x0000000100888ba1 g_mutex_lock + 26
>>> 8   libglib-2.0.0.dylib                 0x000000010084c284 g_main_context_acquire + 42
>>> 9   emacs                               0x00000001001447cc xg_select + 135
>>> 10  emacs                               0x000000010012dbe2 wait_reading_process_output + 2074
>>> 11  emacs                               0x00000001000075b5 sit_for + 260
>>> 12  emacs                               0x000000010008be56 read_char + 5024
>>> 13  emacs                               0x000000010008918c read_key_sequence + 1526
>
>> This backtrace simply says that Emacs called 'abort'.  And it did so
>> because the user told it so.
>
> It might also be saying that Emacs deadlocked trying to obtain a mutex.
>
> John